Index: trunk/lib/FlairFilter/src/ControlLaw.cpp
===================================================================
--- trunk/lib/FlairFilter/src/ControlLaw.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/ControlLaw.cpp	(revision 15)
@@ -29,39 +29,39 @@
 namespace filter {
 
-ControlLaw::ControlLaw(const Object* parent,string name,uint32_t nb_out) : IODevice(parent,name) {
-    if(nb_out==1) {
-        output=new cvmatrix(this,nb_out,1,floatType,name);
-    } else {
-        cvmatrix_descriptor* desc=new cvmatrix_descriptor(nb_out,1);
-        for(int i=0;i<nb_out;i++) {
-            std::stringstream ss;
-            ss << i;
-            desc->SetElementName(i,0,ss.str());
-        }
-        output=new cvmatrix(this,desc,floatType,name);
+ControlLaw::ControlLaw(const Object *parent, string name, uint32_t nb_out)
+    : IODevice(parent, name) {
+  if (nb_out == 1) {
+    output = new cvmatrix(this, nb_out, 1, floatType, name);
+  } else {
+    cvmatrix_descriptor *desc = new cvmatrix_descriptor(nb_out, 1);
+    for (int i = 0; i < nb_out; i++) {
+      std::stringstream ss;
+      ss << i;
+      desc->SetElementName(i, 0, ss.str());
     }
+    output = new cvmatrix(this, desc, floatType, name);
+  }
 
-    input=NULL;
-    AddDataToLog(output);
+  input = NULL;
+  AddDataToLog(output);
 }
 
-ControlLaw::~ControlLaw(void) {
-
-}
+ControlLaw::~ControlLaw(void) {}
 
 void ControlLaw::Update(Time time) {
-    input->SetDataTime(time);
-    UpdateFrom(input);
+  input->SetDataTime(time);
+  UpdateFrom(input);
 }
 
 float ControlLaw::Output(uint32_t index) const {
-    return output->Value(index,0);
+  return output->Value(index, 0);
 }
 
-void ControlLaw::UseDefaultPlot(const LayoutPosition* position) {
-    if(output->Rows()!=1) Warn("Output size is different from 1. Plotting only Output(1,1).\n");
+void ControlLaw::UseDefaultPlot(const LayoutPosition *position) {
+  if (output->Rows() != 1)
+    Warn("Output size is different from 1. Plotting only Output(1,1).\n");
 
-    DataPlot1D *plot=new DataPlot1D(position,ObjectName(),-1,1);
-    plot->AddCurve(output->Element(0));
+  DataPlot1D *plot = new DataPlot1D(position, ObjectName(), -1, 1);
+  plot->AddCurve(output->Element(0));
 }
 } // end namespace filter
Index: trunk/lib/FlairFilter/src/ControlLaw.h
===================================================================
--- trunk/lib/FlairFilter/src/ControlLaw.h	(revision 14)
+++ trunk/lib/FlairFilter/src/ControlLaw.h	(revision 15)
@@ -17,105 +17,108 @@
 
 namespace flair {
-    namespace gui {
-        class LayoutPosition;
-    }
-    namespace core {
-        class cvmatrix;
-    }
+namespace gui {
+class LayoutPosition;
+}
+namespace core {
+class cvmatrix;
+}
 }
 
-namespace flair { namespace filter {
-    /*! \class ControlLaw
-    *
-    * \brief Base class for control law
-    * input must be created by reimplemented class.\n
-    * output is created by this class, it is of size (nb_out,1) and type float.\n
-    * see constructor for nb_out
-    */
-    class ControlLaw : public core::IODevice {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ControlLaw
-            *
-            * \param parent parent
-            * \param name name
-            * \param nb_out number of output
-            */
-            ControlLaw(const core::Object* parent,std::string name,uint32_t nb_out=1);
+namespace flair {
+namespace filter {
+/*! \class ControlLaw
+*
+* \brief Base class for control law
+* input must be created by reimplemented class.\n
+* output is created by this class, it is of size (nb_out,1) and type float.\n
+* see constructor for nb_out
+*/
+class ControlLaw : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ControlLaw
+  *
+  * \param parent parent
+  * \param name name
+  * \param nb_out number of output
+  */
+  ControlLaw(const core::Object *parent, std::string name, uint32_t nb_out = 1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ControlLaw();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ControlLaw();
 
-            /*!
-            * \brief Output value
-            *
-            * \param index output index, between 0 and nb_out-1
-            *
-            * \return output value
-            */
-            float Output(uint32_t index=0) const;
+  /*!
+  * \brief Output value
+  *
+  * \param index output index, between 0 and nb_out-1
+  *
+  * \return output value
+  */
+  float Output(uint32_t index = 0) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output value at given position. \n
-            * Only Output(1,1) is plotted. \n
-            * In case of a mutliple output ControlLaw, this function should be reimplemented. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            virtual void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output value at given position. \n
+  * Only Output(1,1) is plotted. \n
+  * In case of a mutliple output ControlLaw, this function should be
+  *reimplemented. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  virtual void UseDefaultPlot(const gui::LayoutPosition *position);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented class must fill input matrix before calling this.
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented class must fill input matrix before calling this.
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Reset the internal state of the control law
-            *
-            * Doesn't do anything by default
-            *
-            */
-            virtual void Reset() {};
+  /*!
+  * \brief Reset the internal state of the control law
+  *
+  * Doesn't do anything by default
+  *
+  */
+  virtual void Reset(){};
 
-        protected:
-            /*!
-            * \brief input matrix
-            *
-            * This matrix must be created by the reimplemented class.
-            *
-            */
-            core::cvmatrix *input;
+protected:
+  /*!
+  * \brief input matrix
+  *
+  * This matrix must be created by the reimplemented class.
+  *
+  */
+  core::cvmatrix *input;
 
-            /*!
-            * \brief output matrix
-            *
-            * This matrix is created by this class. Its size is (nb_out,1) and its type
-            * is io_data::Float.
-            *
-            */
-            core::cvmatrix *output;
+  /*!
+  * \brief output matrix
+  *
+  * This matrix is created by this class. Its size is (nb_out,1) and its type
+  * is io_data::Float.
+  *
+  */
+  core::cvmatrix *output;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            virtual void UpdateFrom(const core::io_data *data)=0;
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  virtual void UpdateFrom(const core::io_data *data) = 0;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/EulerDerivative.cpp
===================================================================
--- trunk/lib/FlairFilter/src/EulerDerivative.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/EulerDerivative.cpp	(revision 15)
@@ -25,34 +25,26 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-EulerDerivative::EulerDerivative(const IODevice* parent,const LayoutPosition* position,string name,const cvmatrix* init_value) : IODevice(parent,name)
-{
-    pimpl_=new EulerDerivative_impl(this,position,name,init_value);
-    AddDataToLog(pimpl_->output);
+EulerDerivative::EulerDerivative(const IODevice *parent,
+                                 const LayoutPosition *position, string name,
+                                 const cvmatrix *init_value)
+    : IODevice(parent, name) {
+  pimpl_ = new EulerDerivative_impl(this, position, name, init_value);
+  AddDataToLog(pimpl_->output);
 }
 
-EulerDerivative::~EulerDerivative()
-{
-    delete pimpl_;
+EulerDerivative::~EulerDerivative() { delete pimpl_; }
+
+cvmatrix *EulerDerivative::Matrix(void) const { return pimpl_->output; }
+
+float EulerDerivative::Output(int row, int col) const {
+  return pimpl_->output->Value(row, col);
 }
 
-cvmatrix* EulerDerivative::Matrix(void) const
-{
-    return pimpl_->output;
-}
-
-float EulerDerivative::Output(int row,int col) const
-{
-    return pimpl_->output->Value(row,col);
-}
-
-void EulerDerivative::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(pimpl_->output);
+void EulerDerivative::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(pimpl_->output);
 }
 
Index: trunk/lib/FlairFilter/src/EulerDerivative.h
===================================================================
--- trunk/lib/FlairFilter/src/EulerDerivative.h	(revision 14)
+++ trunk/lib/FlairFilter/src/EulerDerivative.h	(revision 15)
@@ -16,84 +16,81 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class EulerDerivative_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class EulerDerivative
-    *
-    * \brief Class defining an euler derivative
-    */
+namespace flair {
+namespace filter {
+/*! \class EulerDerivative
+*
+* \brief Class defining an euler derivative
+*/
 
-    class EulerDerivative : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an EulerDerivative at given position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called. \n
-            * The optional init_value parameters allow to specify
-            * the size of the input datas and its inital values.
-            * If unspecified, a 1*1 size is used, and values are
-            * initialized with 0.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param init_value initial value
-            */
-            EulerDerivative(const core::IODevice* parent,const gui::LayoutPosition* position,std::string name,const core::cvmatrix* init_value=NULL);
+class EulerDerivative : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an EulerDerivative at given position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called. \n
+  * The optional init_value parameters allow to specify
+  * the size of the input datas and its inital values.
+  * If unspecified, a 1*1 size is used, and values are
+  * initialized with 0.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param init_value initial value
+  */
+  EulerDerivative(const core::IODevice *parent,
+                  const gui::LayoutPosition *position, std::string name,
+                  const core::cvmatrix *init_value = NULL);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~EulerDerivative();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~EulerDerivative();
 
-            /*!
-            * \brief Output value
-            *
-            * \param row row element
-            * \param col column element
-            *
-            * \return element value
-            */
-            float Output(int row, int col) const;
+  /*!
+  * \brief Output value
+  *
+  * \param row row element
+  * \param col column element
+  *
+  * \return element value
+  */
+  float Output(int row, int col) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            class EulerDerivative_impl* pimpl_;
-    };
+  class EulerDerivative_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/EulerDerivative_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/EulerDerivative_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/EulerDerivative_impl.cpp	(revision 15)
@@ -28,91 +28,78 @@
 using namespace flair::filter;
 
-EulerDerivative_impl::EulerDerivative_impl(EulerDerivative* self,const LayoutPosition* position,string name,const cvmatrix* init_value)
-{
-    first_update=true;
+EulerDerivative_impl::EulerDerivative_impl(EulerDerivative *self,
+                                           const LayoutPosition *position,
+                                           string name,
+                                           const cvmatrix *init_value) {
+  first_update = true;
 
-    if(init_value!=NULL)
-    {
-        prev_value=(cvmatrix*)init_value;
+  if (init_value != NULL) {
+    prev_value = (cvmatrix *)init_value;
+  } else {
+    // if NULL, assume dimension 1, and init=0
+    cvmatrix_descriptor *desc = new cvmatrix_descriptor(1, 1);
+    desc->SetElementName(0, 0, "output");
+    prev_value = new cvmatrix(self, desc, floatType, name);
+    prev_value->SetValue(0, 0, 0);
+  }
+
+  // init UI
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto:",
+                        " s", 0, 1, 0.01);
+
+  // init output matrix of same size as init
+  cvmatrix_descriptor *desc =
+      new cvmatrix_descriptor(prev_value->Rows(), prev_value->Cols());
+
+  for (int i = 0; i < prev_value->Rows(); i++) {
+    for (int j = 0; j < prev_value->Cols(); j++) {
+      desc->SetElementName(i, j, prev_value->Name(i, j));
     }
-    else
-    {
-        //if NULL, assume dimension 1, and init=0
-        cvmatrix_descriptor* desc=new cvmatrix_descriptor(1,1);
-        desc->SetElementName(0,0,"output");
-        prev_value=new cvmatrix(self,desc,floatType,name);
-        prev_value->SetValue(0,0,0);
+  }
+
+  output = new cvmatrix(self, desc,
+                        prev_value->GetDataType().GetElementDataType(), name);
+}
+
+EulerDerivative_impl::~EulerDerivative_impl() {}
+
+void EulerDerivative_impl::UpdateFrom(const io_data *data) {
+  float delta_t;
+  cvmatrix *input = (cvmatrix *)data;
+
+  // on prend une fois pour toute les mutex et on fait des accès directs
+  output->GetMutex();
+  input->GetMutex();
+
+  if (first_update == true) {
+    for (int i = 0; i < input->Rows(); i++) {
+      for (int j = 0; j < input->Cols(); j++) {
+        output->SetValueNoMutex(i, j, prev_value->ValueNoMutex(i, j));
+        prev_value->SetValueNoMutex(i, j, input->ValueNoMutex(i, j));
+      }
+    }
+    first_update = false;
+  } else {
+    if (T->Value() == 0) {
+      delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+    } else {
+      delta_t = T->Value();
     }
 
-    //init UI
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-        T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto:"," s",0,1,0.01);
+    for (int i = 0; i < input->Rows(); i++) {
+      for (int j = 0; j < input->Cols(); j++) {
+        output->SetValueNoMutex(
+            i, j, (input->ValueNoMutex(i, j) - prev_value->ValueNoMutex(i, j)) /
+                      delta_t);
+        prev_value->SetValueNoMutex(i, j, input->ValueNoMutex(i, j));
+      }
+    }
+  }
 
-    //init output matrix of same size as init
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(prev_value->Rows(),prev_value->Cols());
+  input->ReleaseMutex();
+  output->ReleaseMutex();
 
-    for(int i=0;i<prev_value->Rows();i++)
-    {
-        for(int j=0;j<prev_value->Cols();j++)
-        {
-            desc->SetElementName(i,j,prev_value->Name(i,j));
-        }
-    }
-
-    output=new cvmatrix(self,desc,prev_value->GetDataType().GetElementDataType(),name);
+  output->SetDataTime(data->DataTime());
+  previous_time = data->DataTime();
 }
-
-EulerDerivative_impl::~EulerDerivative_impl()
-{
-
-}
-
-void EulerDerivative_impl::UpdateFrom(const io_data *data)
-{
-    float delta_t;
-    cvmatrix *input=(cvmatrix*)data;
-
-    //on prend une fois pour toute les mutex et on fait des accès directs
-    output->GetMutex();
-    input->GetMutex();
-
-    if(first_update==true)
-    {
-        for(int i=0;i<input->Rows();i++)
-        {
-            for(int j=0;j<input->Cols();j++)
-            {
-                output->SetValueNoMutex(i,j,prev_value->ValueNoMutex(i,j));
-                prev_value->SetValueNoMutex(i,j,input->ValueNoMutex(i,j));
-            }
-        }
-        first_update=false;
-    }
-    else
-    {
-        if(T->Value()==0)
-        {
-            delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-        }
-        else
-        {
-            delta_t=T->Value();
-        }
-
-        for(int i=0;i<input->Rows();i++)
-        {
-            for(int j=0;j<input->Cols();j++)
-            {
-                output->SetValueNoMutex(i,j,(input->ValueNoMutex(i,j)-prev_value->ValueNoMutex(i,j))/delta_t);
-                prev_value->SetValueNoMutex(i,j,input->ValueNoMutex(i,j));
-            }
-        }
-    }
-
-    input->ReleaseMutex();
-    output->ReleaseMutex();
-
-    output->SetDataTime(data->DataTime());
-    previous_time=data->DataTime();
-}
-
Index: trunk/lib/FlairFilter/src/Gx3_25_ahrs.cpp
===================================================================
--- trunk/lib/FlairFilter/src/Gx3_25_ahrs.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/Gx3_25_ahrs.cpp	(revision 15)
@@ -24,32 +24,31 @@
 using namespace flair::sensor;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-Gx3_25_ahrs::Gx3_25_ahrs(const FrameworkManager* parent,string name,SerialPort *serialport,Gx3_25_imu::Command_t command,uint8_t priority) : Ahrs(new Gx3_25_imu(parent,name,serialport,command,priority),name) {
-}
+Gx3_25_ahrs::Gx3_25_ahrs(const FrameworkManager *parent, string name,
+                         SerialPort *serialport, Gx3_25_imu::Command_t command,
+                         uint8_t priority)
+    : Ahrs(new Gx3_25_imu(parent, name, serialport, command, priority), name) {}
 
-Gx3_25_ahrs::~Gx3_25_ahrs() {
-}
+Gx3_25_ahrs::~Gx3_25_ahrs() {}
 
-void Gx3_25_ahrs::Start(void) {
-    ((Gx3_25_imu*)GetImu())->Start();
-}
+void Gx3_25_ahrs::Start(void) { ((Gx3_25_imu *)GetImu())->Start(); }
 
-//datas from Gx3_25_imu are AhrsData!
+// datas from Gx3_25_imu are AhrsData!
 void Gx3_25_ahrs::UpdateFrom(const io_data *data) {
-    AhrsData *input=(AhrsData*)data;
-    AhrsData *output;
-    GetDatas(&output);
+  AhrsData *input = (AhrsData *)data;
+  AhrsData *output;
+  GetDatas(&output);
 
-    Quaternion quaternion;
-    Vector3D filteredAngRates;
-    input->GetQuaternionAndAngularRates(quaternion,filteredAngRates);
-    output->SetQuaternionAndAngularRates(quaternion,filteredAngRates);
-    output->SetDataTime(input->DataTime());
+  Quaternion quaternion;
+  Vector3D filteredAngRates;
+  input->GetQuaternionAndAngularRates(quaternion, filteredAngRates);
+  output->SetQuaternionAndAngularRates(quaternion, filteredAngRates);
+  output->SetDataTime(input->DataTime());
 
-    ProcessUpdate(output);
+  ProcessUpdate(output);
 }
 
 } // end namespace filter
 } // end namespace flair
-
Index: trunk/lib/FlairFilter/src/Gx3_25_ahrs.h
===================================================================
--- trunk/lib/FlairFilter/src/Gx3_25_ahrs.h	(revision 14)
+++ trunk/lib/FlairFilter/src/Gx3_25_ahrs.h	(revision 15)
@@ -17,52 +17,51 @@
 #include <Gx3_25_imu.h>
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class Gx3_25_ahrs
-    *
-    * \brief Class for 3dmgx3-25 ahrs
-    *
-    * This class constructs a Gx3_25_imu as Imu of this Ahrs.
-    */
-    class Gx3_25_ahrs : public Ahrs
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Ahrs for 3dmgx3-25
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport Imu SerialPort
-            * \param command command for the Gx3_25_imu continuous mode
-            * \param priority priority of the Gx3_25_imu Thread
-            */
-            Gx3_25_ahrs(const core::FrameworkManager* parent,std::string name,core::SerialPort *serialport,sensor::Gx3_25_imu::Command_t command,uint8_t priority);
+namespace flair {
+namespace filter {
+/*! \class Gx3_25_ahrs
+*
+* \brief Class for 3dmgx3-25 ahrs
+*
+* This class constructs a Gx3_25_imu as Imu of this Ahrs.
+*/
+class Gx3_25_ahrs : public Ahrs {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Ahrs for 3dmgx3-25
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport Imu SerialPort
+  * \param command command for the Gx3_25_imu continuous mode
+  * \param priority priority of the Gx3_25_imu Thread
+  */
+  Gx3_25_ahrs(const core::FrameworkManager *parent, std::string name,
+              core::SerialPort *serialport,
+              sensor::Gx3_25_imu::Command_t command, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Gx3_25_ahrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Gx3_25_ahrs();
 
-            /*!
-            * \brief Start Gx3_25_imu Thread
-            *
-            */
-            void Start(void);
+  /*!
+  * \brief Start Gx3_25_imu Thread
+  *
+  */
+  void Start(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/JoyReference.cpp
===================================================================
--- trunk/lib/FlairFilter/src/JoyReference.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/JoyReference.cpp	(revision 15)
@@ -29,92 +29,65 @@
 using namespace flair::gui;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-JoyReference::JoyReference(const LayoutPosition* position,string name) : IODevice(position->getLayout(),name) {
-    pimpl_=new JoyReference_impl(this,position,name);
-    AddDataToLog(pimpl_->output);
-    AddDataToLog(pimpl_->ahrsData);
+JoyReference::JoyReference(const LayoutPosition *position, string name)
+    : IODevice(position->getLayout(), name) {
+  pimpl_ = new JoyReference_impl(this, position, name);
+  AddDataToLog(pimpl_->output);
+  AddDataToLog(pimpl_->ahrsData);
 }
 
-JoyReference::~JoyReference(void) {
-    delete pimpl_;
+JoyReference::~JoyReference(void) { delete pimpl_; }
+
+AhrsData *JoyReference::GetReferenceOrientation(void) const {
+  return pimpl_->ahrsData;
 }
 
-AhrsData* JoyReference::GetReferenceOrientation(void) const{
-    return pimpl_->ahrsData;
+void JoyReference::SetRollAxis(float value) { pimpl_->SetRollAxis(value); }
+
+void JoyReference::SetPitchAxis(float value) { pimpl_->SetPitchAxis(value); }
+
+void JoyReference::SetYawAxis(float value) { pimpl_->SetYawAxis(value); }
+
+void JoyReference::SetAltitudeAxis(float value) {
+  pimpl_->SetAltitudeAxis(value);
 }
 
-void JoyReference::SetRollAxis(float value) {
-    pimpl_->SetRollAxis(value);
-}
+void JoyReference::RollTrimUp(void) { pimpl_->RollTrimUp(); }
 
-void JoyReference::SetPitchAxis(float value) {
-    pimpl_->SetPitchAxis(value);
-}
+void JoyReference::RollTrimDown(void) { pimpl_->RollTrimDown(); }
 
-void JoyReference::SetYawAxis(float value) {
-    pimpl_->SetYawAxis(value);
-}
+void JoyReference::PitchTrimUp(void) { pimpl_->PitchTrimUp(); }
 
-void JoyReference::SetAltitudeAxis(float value) {
-    pimpl_->SetAltitudeAxis(value);
-}
+void JoyReference::PitchTrimDown(void) { pimpl_->PitchTrimDown(); }
 
-void JoyReference::RollTrimUp(void) {
-    pimpl_->RollTrimUp();
-}
-
-void JoyReference::RollTrimDown(void) {
-    pimpl_->RollTrimDown();
-}
-
-void JoyReference::PitchTrimUp(void) {
-    pimpl_->PitchTrimUp();
-}
-
-void JoyReference::PitchTrimDown(void) {
-    pimpl_->PitchTrimDown();
-}
-
-void JoyReference::SetYawRef(float value) {
-    pimpl_->SetYawRef(value);
-}
+void JoyReference::SetYawRef(float value) { pimpl_->SetYawRef(value); }
 
 void JoyReference::SetYawRef(core::Quaternion const &value) {
-    Euler euler;
-    value.ToEuler(euler);
-    pimpl_->SetYawRef(euler.yaw);
+  Euler euler;
+  value.ToEuler(euler);
+  pimpl_->SetYawRef(euler.yaw);
 }
-void JoyReference::SetZRef(float value) {
-    pimpl_->SetZRef(value);
-}
+void JoyReference::SetZRef(float value) { pimpl_->SetZRef(value); }
 
-float JoyReference::ZRef(void) const {
-    return pimpl_->ZRef();
-}
+float JoyReference::ZRef(void) const { return pimpl_->ZRef(); }
 
-float JoyReference::DzRef(void) const {
-    return pimpl_->dZRef();
-}
+float JoyReference::DzRef(void) const { return pimpl_->dZRef(); }
 
-float JoyReference::RollTrim(void) const {
-    return pimpl_->RollTrim();
-}
+float JoyReference::RollTrim(void) const { return pimpl_->RollTrim(); }
 
-float JoyReference::PitchTrim(void) const {
-    return pimpl_->PitchTrim();
-}
+float JoyReference::PitchTrim(void) const { return pimpl_->PitchTrim(); }
 
 void JoyReference::Update(Time time) {
-    pimpl_->Update(time);
-    ProcessUpdate(pimpl_->output);
+  pimpl_->Update(time);
+  ProcessUpdate(pimpl_->output);
 }
 
 void JoyReference::UpdateFrom(const io_data *data) {
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(pimpl_->output);
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(pimpl_->output);
 }
 
 } // end namespace sensor
 } // end namespace flair
-
